package monnethic.mobile.wallet;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;

import com.example.monnthic.monnethicmobile.R;

import monnethic.mobile.transaction.TransactionActivity;

public class HomeWalletActivity extends AppCompatActivity {
    private String user_hash;
    private String user_password;
    private int session_id;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_home_wallet);
        Button buttonCreateWallet = findViewById(R.id.buttonCreateWallet);
        Button buttonSelectWallet = findViewById(R.id.buttonSelectWallet);

        Intent intent = getIntent();
        user_hash = intent.getStringExtra("USER_HASH");
        user_password = intent.getStringExtra("USER_PWD");
        session_id = Integer.parseInt(intent.getStringExtra("SESSION_ID"));

        Log.i("HomeWalletActivity","user_hash: "+user_hash);
        Log.i("HomeWalletActivity","user_password: "+user_password);
        Log.i("HomeWalletActivity","session_id: "+session_id);

        buttonCreateWallet.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                launchCreateWalletActivity();
            }
        });

        buttonSelectWallet.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                launchSelectWalletActivity();
            }
        });
    }

    public void launchCreateWalletActivity() {
        Log.i("HomeWalletActivity","launchCreateWalletActivity");
        Log.i("HomeWalletActivity",user_hash);
        Intent createWalletIntent = new Intent(HomeWalletActivity.this, CreateWalletActivity.class);
        createWalletIntent.putExtra("USER_HASH",user_hash);
        createWalletIntent.putExtra("USER_PWD",user_password);
        createWalletIntent.putExtra("SESSION_ID",String.valueOf(session_id));
        HomeWalletActivity.this.startActivity(createWalletIntent);
    }

    public void launchSelectWalletActivity() {
        Log.i("HomeWalletActivity","launchSelectWalletActivity");
        Log.i("HomeWalletActivity",user_hash);
        Intent selectWalletIntent = new Intent(HomeWalletActivity.this, SelectWalletActivity.class);
        selectWalletIntent.putExtra("USER_HASH",user_hash);
        selectWalletIntent.putExtra("USER_PWD",user_password);
        selectWalletIntent.putExtra("SESSION_ID",String.valueOf(session_id));
        HomeWalletActivity.this.startActivity(selectWalletIntent);
    }
}